// Copyright 2024 Game Core Tools. All Rights Reserved.

#include "RenameToolBPLibrary.h"


FString URenameToolBPLibrary::RemovePrefix(const FString& Original, const FString& Prefix, ESearchCase::Type SearchCase)
{
	if(!Prefix.IsEmpty())
	{
		if(Original.StartsWith(Prefix))
		{
			FString LeftS;
			FString RightS;
			Original.Split(Prefix, &LeftS, &RightS, SearchCase, ESearchDir::FromStart);
			return RightS;
		}
	}
	
	return Original;
}

FString URenameToolBPLibrary::RemoveSuffix(const FString& Original, const FString& Suffix, ESearchCase::Type SearchCase)
{
	if(!Suffix.IsEmpty())
	{
		if(Original.EndsWith(Suffix))
		{
			FString LeftS;
			FString RightS;
			Original.Split(Suffix, &LeftS, &RightS, SearchCase, ESearchDir::FromEnd);
			return LeftS;
		}
	}
	
	return Original;
}
