// Copyright 2024 Game Core Tools. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "RenameToolBPLibrary.generated.h"

class FString;
class UStaticMesh;

/**
 * 
 */
UCLASS()
class RENAMETOOL_API URenameToolBPLibrary : public UBlueprintFunctionLibrary
{
	GENERATED_BODY()

public:
	
	UFUNCTION(BlueprintCallable, BlueprintPure, Category = "Rename Tool")
	static FString RemovePrefix(
		const FString& Original, const FString& Prefix, ESearchCase::Type SearchCase = ESearchCase::IgnoreCase);
	
	UFUNCTION(BlueprintCallable, BlueprintPure, Category = "Rename Tool")
	static FString RemoveSuffix(
		const FString& Original, const FString& Suffix, ESearchCase::Type SearchCase = ESearchCase::IgnoreCase);
};
