// Copyright 2024 Game Core Tools. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "EditorUtilityWidget.h"
#include "RenameToolBase.generated.h"

UCLASS(Abstract)
class RENAMETOOL_API URenameToolBase : public UEditorUtilityWidget
{
	GENERATED_BODY()

protected:
	virtual void NativeConstruct() override;
	virtual void NativeDestruct() override;

	void BindToOnSelectionChanged();
	void UnBindAll() const;

public:
	FDelegateHandle AssetSelectionChangedDelegateHandle = FDelegateHandle();
	FDelegateHandle ActorSelectionDelegateHandle = FDelegateHandle();
	
	UFUNCTION(BlueprintImplementableEvent)
	void OnSelectionChanged();
};
